@ECHO OFF
TITLE UC Compiler
CALL cleanup.bat
COLOR 1e
CLS
ECHO Gustavo6046's UNREAL CLASS PACKAGE COMPILER
ECHO .
ECHO (c) 2015 Firelands, all rights reserved.
ECHO .
ECHO .
ECHO Be aware the compiler may not run in older versions of
ECHO Unreal where the ucc.exe program is not avaiable.
ECHO .
ECHO Please don't maximize.
ECHO .
ECHO .
ECHO Press any key when acknowledged.
ECHO .
PAUSE >nul
CLS
ECHO Please tell the exact location of your Unreal or UT
ECHO directory in the C: disk.
ECHO .
ECHO (example: C:\Program Files (x86)\UnrealTournament )
ECHO .
ECHO .
ECHO Type at any moment now!
ECHO .
SET /p udir=Path:
CD %udir%
CLS
ECHO Tell the (exact) name of the package you wish to edit.
ECHO .
SET /p pack=PackageName:
CD system
MKDIR ubackup
CD ubackup
MKDIR UCFiles
MKDIR UFiles
CD ..
CLS
ECHO The package folder will be backuped in a \System\ folder called
ECHO "ubackup". If the compiler show an error message then you can
ECHO use that folder!
IF EXIST %udir%\system\%pack%.u (MOVE /y "%udir%\system\%pack%.u" "%udir%\system\ubackup\UFiles")
CD ..
XCOPY "%pack%" "%udir%\system\ubackup\UCFiles"
GOTO a
:a
CLS
ECHO Is Unreal or UnrealTournament?
SET /p name=Game: 
CLS
IF /i %name%==Unreal (GOTO unrealready) ELSE (IF /i %name%==UnrealTournament (GOTO utready) ELSE (GOTO neither))
:compile
ECHO Unfortunately you still have to put the package name inside the
ECHO Unreal.ini or UnrealTournament.ini file.
ECHO .
ECHO Like that:
ECHO .
ECHO .
ECHO 1
ECHO Ctrl F in Notepad to find "EditPackages".
ECHO .
ECHO 2
ECHO Once you find it, at the end of the list, put the line:
ECHO EditPackages: %pack%
ECHO .
ECHO Hit any key once you have finished doing the list (or it have
ECHO already been in the list).
ECHO .
ECHO For your convenience the file already opened in Notepad.
START notepad "%udir%\system\%name%.ini"
PAUSE >nul
CLS
ECHO Finally Compile Time!
ECHO Hit any key to start compiling now!
PAUSE >nul
CD system
ucc make
ECHO Hit any key once you finished checking for error messages.
PAUSE >nul
CLS
ECHO Done!
ECHO .
ECHO There is one bug where one empty "ubackup" folder appears
ECHO in the UCompiler -> Core folder. But don't worry!
ECHO It is not one serious problem, and you can
ECHO remove it manually or let UCompiler remove it for you in 
ECHO the next run (or manually run the cleanup.bat program
ECHO which will help).
ECHO .
ECHO Hit any key to exit. (c)2016 Firelands.
PAUSE >nul
GOTO eof
:neither
ECHO Didn't understood. Type Unreal or UnrealTournament only.
ECHO .
ECHO Exactly how was typed in the question; is not case
ECHO sensitive however.
PAUSE >nul
GOTO a
:unrealready
SET name=Unreal
GOTO compile
:utready
SET name=UnrealTournament
GOTO compile